gnutls_x509_crq_get_extension_data2(3)

NAME
gnutls_x509_crq_get_extension_data2 - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_get_extension_data2(gnutls_x509_crq_t crq, unsigned indx, gnutls_datum_t * data);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t type

unsigned indx
    Specifies which extension OID to read. Use (0) to get the first one.

gnutls_datum_t * data
    will contain the extension DER-encoded data

DESCRIPTION
This function will return the requested extension data in the certificate request. The extension data will be allocated using gnutls_malloc(). Use gnutls_x509_crq_get_extension_info() to extract the OID.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code is returned. If you have reached the last extension available GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2019 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/